## d-shlibs 0.20

=== Makefile ===
installdir:=install -d -m 755
installbin:=install -m 755

all:


check:
	bash -n d-shlibmove
	bash -n d-devlibdeps

install: check
	$(installdir) $(DESTDIR)/usr/bin/
	$(installbin) d-shlibmove $(DESTDIR)/usr/bin/d-shlibmove
	$(installbin) d-devlibdeps $(DESTDIR)/usr/bin/d-devlibdeps

clean:
	-rm -f *~

=== debian/changelog ===
d-shlibs (0.20) unstable; urgency=low

  * netatalk support from Jonas Smedegaard <dr@jones.dk> 
    (Closes: #228030)

 -- Junichi Uekawa <dancer@debian.org>  Fri, 16 Jan 2004 22:26:06 +0900

d-shlibs (0.19) unstable; urgency=low

  * Bug fix: "d-shlibs: needlessly-depends-on-awk", thanks to Adrian Bunk
    (Closes: #216538).

 -- Junichi Uekawa <dancer@debian.org>  Fri,  7 Nov 2003 07:37:15 +0900

d-shlibs (0.18) unstable; urgency=low

  * libvorbis-dev override, request from Keegan Quinn <ice@thebasement.org>
  (closes: #203274)
  * Standards-Version: 3.6.0

 -- Junichi Uekawa <dancer@debian.org>  Tue, 29 Jul 2003 18:16:15 +0900

d-shlibs (0.17) unstable; urgency=low

  * libsdl1.2-dev override, request from Kalle Olavi Niemitalo
  (closes: #198253)

 -- Junichi Uekawa <dancer@debian.org>  Thu,  3 Jul 2003 00:04:43 +0900

d-shlibs (0.16) unstable; urgency=low

  * libssl0.9.[67]->libssl-dev, per request from Andres Salomon
  (closes: #192472)

 -- Junichi Uekawa <dancer@debian.org>  Sun, 11 May 2003 01:25:35 +0900

d-shlibs (0.15) unstable; urgency=low

  * Allow multiple library packages to be built from same source, 
    validation will pass package names that are going to be built from 
    the same source.

 -- Junichi Uekawa <dancer@debian.org>  Sat,  5 Apr 2003 13:48:46 +0900

d-shlibs (0.14) unstable; urgency=low

  * Allow use of libdevel section for development libs.

 -- Junichi Uekawa <dancer@debian.org>  Wed,  2 Apr 2003 21:28:21 +0900

d-shlibs (0.13) unstable; urgency=low

  * Ack NMU for kerberos5 (closes: 184805)
  * Add override for libparted1.6-dev (closes: 186084)
  
 -- Junichi Uekawa <dancer@debian.org>  Tue, 25 Mar 2003 00:50:06 +0900

d-shlibs (0.12.1) unstable; urgency=low

  * NMU to recognize kerberos5 libraries.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 17 Mar 2003 19:32:15 +0100

d-shlibs (0.12) unstable; urgency=low

  * support libcrypto, by Jonas Smedegaard <dr@jones.dk>
    (closes: #178716)

 -- Junichi Uekawa <dancer@debian.org>  Thu, 30 Jan 2003 18:50:17 +0900

d-shlibs (0.11) unstable; urgency=low

  * Add error/sanity checking for unknown and nonexisting 
  package names. (closes: #178220)

 -- Junichi Uekawa <dancer@debian.org>  Mon, 27 Jan 2003 18:50:28 +0900

d-shlibs (0.10) unstable; urgency=low

  * Add override for libgcc_s1-dev
  Thanks James Troup, and yes, DWIM tools are a bit silly.

 -- Junichi Uekawa <dancer@debian.org>  Fri, 24 Jan 2003 12:22:13 +0900

d-shlibs (0.9) unstable; urgency=low

  * Fix for libpam and e2fsprogs from Jonas Smedegaard <dr@jones.dk>
  (closes: #177342)
  * Document NMU policy for this package.

 -- Junichi Uekawa <dancer@debian.org>  Mon, 20 Jan 2003 11:54:20 +0900

d-shlibs (0.8) unstable; urgency=low

  * C++ abi transition, support --c102 option, to add 
  c102 to end of library package.

 -- Junichi Uekawa <dancer@debian.org>  Sat, 11 Jan 2003 00:10:51 +0900

d-shlibs (0.7) unstable; urgency=low

  * libc-dev dependency is not really required, because libc6-dev dependency etc. should
    already be there. (closes: #171303)
    thanks: Jonas Smedegaard <dr@jones.dk>
  * fix debian/copyright slightly
  * Standards-Version: 3.5.8
      
 -- Junichi Uekawa <dancer@debian.org>  Sun, 15 Dec 2002 13:48:40 +0900

d-shlibs (0.6) unstable; urgency=low

  * Fix devlibdeps which has emit libXpm4-dev 
  (closes: #170579)
  thanks: Jonas Smedegaard <dr@jones.dk>

 -- Junichi Uekawa <dancer@debian.org>  Mon, 25 Nov 2002 16:32:27 +0900

d-shlibs (0.5) unstable; urgency=low

  * Update d-shlibmove.1 page to document which version a specific option
  was introduced.

 -- Junichi Uekawa <dancer@debian.org>  Tue, 22 Oct 2002 14:12:49 +0900

d-shlibs (0.4) unstable; urgency=low

  * add support for --movedevdoc option.
  * standards-version 3.5.7

 -- Junichi Uekawa <dancer@debian.org>  Thu, 10 Oct 2002 14:58:04 +0900

d-shlibs (0.3) unstable; urgency=low

  * add support for --suffix option.
  * add support for --shlibs-local option.
  * add hacks for alpha libc. (closes: #159020)

 -- Junichi Uekawa <dancer@debian.org>  Thu, 15 Aug 2002 21:44:22 +0900

d-shlibs (0.2) unstable; urgency=low

  * Do not fail if .la is not available.

 -- Junichi Uekawa <dancer@debian.org>  Thu,  8 Aug 2002 10:32:46 +0900

d-shlibs (0.1) unstable; urgency=low

  * Initial Release. Close ITP: (closes: 145692)

 -- Junichi Uekawa <dancer@debian.org>  Tue,  7 May 2002 22:39:12 +0900

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3



ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/d-shlibs


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installcron
	dh_installman d-shlibmove.1 d-devlibdeps.1
	dh_installinfo
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## d-shlibs 0.24

=== debian/changelog ===
d-shlibs (0.24) unstable; urgency=low

  * d-shlibs: Fixes for recent X11 libs (closes: 273116)
  * d-shlibs: Fixes for libc6 (needed for netatalk with krb5 support)
    above two patches thanks to Jonas Smedegaard <dr@jones.dk>
     (closes: 273320)
  * "Fixes for kfreebsd-gnu", thanks to Robert Millan (Closes:
    #268272).

 -- Junichi Uekawa <dancer@debian.org>  Sat,  2 Oct 2004 15:29:52 +0900

d-shlibs (0.23) unstable; urgency=low

  * Add libcrypt/nsl for alpha overrides.
  * Bug fix: "devlibs error: There is no package matching
    [libcrypt1.1-dev] and noone provides it", thanks to Falk Hueffner
    (Closes: #265927).

 -- Junichi Uekawa <dancer@debian.org>  Tue, 17 Aug 2004 00:25:33 +0900

d-shlibs (0.22) unstable; urgency=low

  * libvorbis-dev and libtheora-dev overrides. (closes: #264556)

 -- Junichi Uekawa <dancer@debian.org>  Mon,  9 Aug 2004 22:57:40 +0900

d-shlibs (0.21) unstable; urgency=low

  * libkrb.so.1 -> kerberos4kth-dev (closes: #262163) 

 -- Junichi Uekawa <dancer@debian.org>  Sun,  1 Aug 2004 15:27:48 +0900

## d-shlibs 0.25

=== Makefile ===
--- 
+++ 
@@ -8,6 +8,13 @@
 	bash -n d-shlibmove
 	bash -n d-devlibdeps
 
+test-build:
+	mkdir TESTS
+	( cd TESTS; \
+	for PKG in dancer-xml dlisp dmachinemon libdshconfig ; do \
+	( mkdir $$PKG ; cd $$PKG ; apt-get source $$PKG; cd */ ; debuild -us -uc ; debc; ) ; \
+	done ) 2>&1 | tee tests.log
+
 install: check
 	$(installdir) $(DESTDIR)/usr/bin/
 	$(installbin) d-shlibmove $(DESTDIR)/usr/bin/d-shlibmove
@@ -15,5 +22,6 @@
 
 clean:
 	-rm -f *~
+	-rm -rf TESTS

=== debian/changelog ===
d-shlibs (0.25) unstable; urgency=low

  * Remove dancer@mikilab.doshisha.ac.jp from mail address, it's not longer valid.
  * Bug fix: "libshout: FTBFS: d-shlibmove reports problem with
    libogg0-dev", thanks to Roland Stigge (Closes: #302871).
  - libogg0-dev -> libogg-dev

 -- Junichi Uekawa <dancer@debian.org>  Mon,  4 Apr 2005 08:37:52 +0900

=== debian/control ===
Source: d-shlibs
Section: utils
Priority: optional
Maintainer: Junichi Uekawa <dancer@debian.org>
Build-Depends-Indep: debhelper (>> 3.0.0)
Standards-Version: 3.6.0

Package: d-shlibs
Architecture: all
Depends: binutils, debianutils (>= 1.6)
Description: Debian shared library package building helper scripts
 Shared library packages in Debian need some special catering to do
 with regards to which files go where. This package contains 
 programs which try to help automate the process and catch simple
 errors
 .
 "d-shlibmove" moves the shared library binary around from temporary 
 installation directory to the  destination package directory
 .
 "d-devlibdeps" tries to list the development library dependencies
 required for using the -dev package.

## d-shlibs 0.27

=== debian/changelog ===
d-shlibs (0.27) unstable; urgency=low

  * Added override for librt1-dev. Thanks to Max Hofer. (closes: #325416)

 -- Junichi Uekawa <dancer@debian.org>  Tue, 30 Aug 2005 08:35:02 +0900

d-shlibs (0.26) unstable; urgency=low

  * Check for objdump -p failure status, to check for error case when library 
    is not where it should be. (closes: #306341)
  * Standards-Version: 3.6.2

 -- Junichi Uekawa <dancer@debian.org>  Sun, 21 Aug 2005 14:00:02 +0900

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Junichi Uekawa <dancer@debian.org>
 Build-Depends-Indep: debhelper (>> 3.0.0)
-Standards-Version: 3.6.0
+Standards-Version: 3.6.2
 
 Package: d-shlibs
 Architecture: all

## d-shlibs 0.28

=== debian/changelog ===
d-shlibs (0.28) unstable; urgency=low

  * support Hurd pthreads. (closes: #344713)
  * Standards-Version: 3.7.2 
  * dh-compat: 4

 -- Junichi Uekawa <dancer@debian.org>  Sat,  1 Jul 2006 14:04:23 +0900

## d-shlibs 0.31

=== debian/changelog ===
d-shlibs (0.31) unstable; urgency=low

  * support for newer gtk/glib situation (Closes: #381129).

 -- Junichi Uekawa <dancer@debian.org>  Thu,  3 Aug 2006 08:37:13 +0900

d-shlibs (0.30) unstable; urgency=low

  * support --override option for devlibdeps (closes: #374095)

 -- Junichi Uekawa <dancer@debian.org>  Mon, 31 Jul 2006 23:16:30 +0900

d-shlibs (0.29) unstable; urgency=low

  * Bug fix: "d-shlibs: Support needed for libspeex1-dev -&gt;
    libspeex-dev", thanks to dr@jones.dk (Closes: #378331).

 -- Junichi Uekawa <dancer@debian.org>  Fri, 28 Jul 2006 22:14:34 +0900

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Junichi Uekawa <dancer@debian.org>
-Build-Depends-Indep: debhelper (>> 3.0.0)
-Standards-Version: 3.6.2
+Build-Depends-Indep: debhelper (>> 4.0.0)
+Standards-Version: 3.7.2
 
 Package: d-shlibs
 Architecture: all

## d-shlibs 0.32

=== debian/changelog ===
d-shlibs (0.32) unstable; urgency=low

  * d-shlibs: Support needed for libxml2-2-dev -&gt; libxml2-dev
    (closes: #416533)
  * d-shlibs: Support needed for libgthread-2.0-0-dev -&gt; libglib2.0-dev
    (closes: #416545)

 -- Junichi Uekawa <dancer@debian.org>  Thu, 29 Mar 2007 08:44:22 +0900

## d-shlibs 0.36

=== debian/changelog ===
d-shlibs (0.36) unstable; urgency=low

  * Add Depends on apt (Closes: #447297).

 -- Junichi Uekawa <dancer@debian.org>  Mon, 22 Oct 2007 08:04:11 +0900

d-shlibs (0.35) unstable; urgency=low

  * Bug fix: "d-shlibs: Override needed for libgd2-dev", thanks to Luis
    Rodrigo Gallardo Cruz (Closes: #440728).
  * add -ldbl option.

 -- Junichi Uekawa <dancer@debian.org>  Tue, 04 Sep 2007 08:18:48 +0900

d-shlibs (0.34) unstable; urgency=low

  * set -o pipefail. (Closes: #432456).

 -- Junichi Uekawa <dancer@debian.org>  Tue, 10 Jul 2007 08:10:58 +0900

d-shlibs (0.33) unstable; urgency=low

  * Bug fix: "[m68k] d-shlibs vs. libgcc_s2-dev", thanks to Stephen R
    Marenka (Closes: #428870).
  * Bug fix: "libstdc++6-dev->libstdc++6-4.1-dev"
    thanks to Riku Voipio (Closes: #430994).
  * document exit codes for d-devlibdeps.
  * change dry-run exit code to 2, different from normal error.
  * add simple testsuite

 -- Junichi Uekawa <dancer@debian.org>  Fri, 29 Jun 2007 08:07:58 +0900

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: d-shlibs
 Architecture: all
-Depends: binutils, debianutils (>= 1.6)
+Depends: binutils, debianutils (>= 1.6), apt
 Description: Debian shared library package building helper scripts
  Shared library packages in Debian need some special catering to do
  with regards to which files go where. This package contains

## d-shlibs 0.38

=== debian/changelog ===
d-shlibs (0.38) unstable; urgency=low

  * really fix upper-case filename libraries.
  - add a testsuite item for this.

 -- Junichi Uekawa <dancer@debian.org>  Thu, 28 Feb 2008 08:17:08 +0900

d-shlibs (0.37) unstable; urgency=low

  * Bug fix: "d-shlibs: Please enable upper case file names of libraries",
    thanks to Andreas Tille (Closes: #467622).

 -- Junichi Uekawa <dancer@debian.org>  Wed, 27 Feb 2008 08:56:21 +0900

## d-shlibs 0.39

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 test-build:
 	mkdir TESTS
 	( cd TESTS; \
-	for PKG in dancer-xml dlisp dmachinemon libdshconfig ; do \
+	for PKG in dancer-xml dlisp libdshconfig ; do \
 	( mkdir $$PKG ; cd $$PKG ; apt-get source $$PKG; cd */ ; debuild -us -uc ; debc; ) ; \
 	done ) 2>&1 | tee tests.log

=== debian/changelog ===
d-shlibs (0.39) unstable; urgency=low

  * Bug fix: "d-shlibs: Does not recognize libpthread-stubs0-dev", thanks
    to Michael Banck (Closes: #488791).

 -- Junichi Uekawa <dancer@debian.org>  Thu, 24 Jul 2008 14:21:35 +0900

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #export DH_VERBOSE=1
 
 # This is the debhelper compatibility version to use.
-export DH_COMPAT=3
+export DH_COMPAT=4

## d-shlibs 0.40

=== debian/changelog ===
d-shlibs (0.40) unstable; urgency=low

  * fix libgtkdatabox FTBFS: libgio and libpangoft2. (closes: #521975)

 -- Junichi Uekawa <dancer@debian.org>  Tue, 31 Mar 2009 23:23:11 +0900

## d-shlibs 0.40ubuntu1

=== debian/changelog ===
d-shlibs (0.40ubuntu1) karmic; urgency=low

  * Add ld-linux3-dev to the overrides, fixing build failures on armel.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 26 Sep 2009 19:19:48 +0200

## d-shlibs 0.40-maemo1

=== debian/changelog ===
d-shlibs (0.40-maemo1) unstable; urgency=low

  * removed "set -o pipefail" from scripts because maemo doesn't support it.

 -- Mikko Vartiainen <mvartiainen@gmail.com>  Thu, 21 May 2009 00:11:06 +0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: d-shlibs
 Section: utils
 Priority: optional
-Maintainer: Junichi Uekawa <dancer@debian.org>
+Maintainer: Mikko Vartiainen <mvartiainen@gmail.com>
+XSBC-Original-Maintainer: Junichi Uekawa <dancer@debian.org>
 Build-Depends-Indep: debhelper (>> 4.0.0)
 Standards-Version: 3.7.2

## d-shlibs 0.41ubuntu1

=== debian/changelog ===
d-shlibs (0.41ubuntu1) lucid; urgency=low

  * Correct a typo on the glibc-2.10 armel dynamic loader so d-devlibdeps
    works on armel properly (LP: #504365)

 -- Michael Casadevall <mcasadevall@ubuntu.com>  Thu, 07 Jan 2010 11:48:20 -0500

d-shlibs (0.41) unstable; urgency=low

  * glibc-2.10 on armel introduces new dynamic linker and breaks
    d-devlibdeps, thanks to Matthias Klose (Closes: #548626).

 -- Junichi Uekawa <dancer@debian.org>  Tue, 29 Sep 2009 23:26:36 +0900

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: d-shlibs
 Section: utils
 Priority: optional
-Maintainer: Mikko Vartiainen <mvartiainen@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Junichi Uekawa <dancer@debian.org>
 Build-Depends-Indep: debhelper (>> 4.0.0)
 Standards-Version: 3.7.2

## d-shlibs 0.44+nmu1

=== debian/changelog ===
d-shlibs (0.44+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Apply patch to fix FTBFS of packages that depend on libx11-dev.
    Closes: bug#581318, bug#584396, thanks to Sebastian Andrzej Siewior.

 -- Serafeim Zanikolas <sez@debian.org>  Mon, 19 Jul 2010 01:16:20 +0200

d-shlibs (0.44) unstable; urgency=low

  * Apply overrides before hardcoded quirks (in addition to afterwards
    for backwards compatibility).
    Thanks to Nobuhiro Iwamatsu (see bug#374049).
  * Fix libstdc++6-dev quirk: Silence (not expand). Default is build-
    essential, and non-default variants are pulled in by related g++-*.
    Closes: bug#374049, thanks especially to Junichi.
  * Sort quirks, strip duplicate gdk-x11-2.0-0-dev, and escape dots.
  * Use dpkg source format 3.0 (native).

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 25 Apr 2010 17:20:39 +0200

d-shlibs (0.43) unstable; urgency=low

  * Implement option --devunversioned. Closes: bug#530368.
  * Implement option --ignorelibdep. Closes: bug#530367.
  * Support control file fields spanning multiple lines. Closes:
    bug#573396.
  * Maintained using Git: Add Vcs-* stanzas.
  * Repackage using CDBS. Build-depend on cdbs.
  * Set debhelper compat level to 6. Build-depend tightened to that
    version.
  * Stop depending on debianutils or apt: essential and required version
    of debianutils satisfied in oldstable.
  * Bump Standards-Version to 3.8.4.
  * Rewrite copyright file to draft DEP5 rev. 135.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 11 Mar 2010 05:46:08 +0100

d-shlibs (0.42) unstable; urgency=low

  * Friendly takeover. Closes: bug#566358, thanks for inventing this
    cool little tool, Junichi!

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 11 Mar 2010 04:43:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: d-shlibs
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Junichi Uekawa <dancer@debian.org>
-Build-Depends-Indep: debhelper (>> 4.0.0)
-Standards-Version: 3.7.2
+Maintainer: Jonas Smedegaard <dr@jones.dk>
+Build-Depends: cdbs, debhelper (>= 6)
+Vcs-Git: git://git.debian.org/git/collab-maint/d-shlibs
+Vcs-Browser: http://git.debian.org/?p=collab-maint/d-shlibs.git;a=summary
+Standards-Version: 3.8.4
 
 Package: d-shlibs
 Architecture: all
-Depends: binutils, debianutils (>= 1.6), apt
+Depends: ${misc:Depends}, binutils
 Description: Debian shared library package building helper scripts
  Shared library packages in Debian need some special catering to do
  with regards to which files go where. This package contains

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2010 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for d-shlibs
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_MAKE_CHECK_TARGET = check
DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(cdbs_make_curdestdir)

DEB_INSTALL_MANPAGES_d-shlibs = d-shlibmove.1 d-devlibdeps.1

## d-shlibs 0.44+nmu1ubuntu1

=== debian/changelog ===
d-shlibs (0.44+nmu1ubuntu1) maverick; urgency=low

  * Correct a typo on the glibc-2.10 armel dynamic loader so d-devlibdeps
    works on armel properly (LP: #504365)

 -- Angel Abad <angelabad@gmail.com>  Wed, 11 Aug 2010 10:23:56 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: d-shlibs
 Section: utils
 Priority: optional
-Maintainer: Jonas Smedegaard <dr@jones.dk>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jonas Smedegaard <dr@jones.dk>
 Build-Depends: cdbs, debhelper (>= 6)
 Vcs-Git: git://git.debian.org/git/collab-maint/d-shlibs
 Vcs-Browser: http://git.debian.org/?p=collab-maint/d-shlibs.git;a=summary

## d-shlibs 0.47

=== debian/changelog ===
d-shlibs (0.47) unstable; urgency=low

  * Fix typo in armel-specific ld-linux3-dev suppression.
    Closes: bug#633933. Thanks to Jani Monoses.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 15 Jul 2011 13:25:42 +0200

d-shlibs (0.46) unstable; urgency=low

  * Tighten sorting order of quirks:
    + Uppercase before lowercase.
    + Wildcards and groups before explicits.
    Closes: bug#631578. Thanks to Samuel Thibault.
  * Add quirks for libucommon5-dev and libusecure5-dev.
  * Invoke apt-cache with --no-generate option to avoid APT/fakeroot
    bug#630591.
  * fix exclude .la files for extralibs.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 02 Jul 2011 16:15:10 +0200

d-shlibs (0.45) unstable; urgency=low

  * Update quirks:
    + Drop obsolete fallbacks on old xlibs-dev.
    + Replace simplistic reording workaround from 0.44+nmu1 with proper
      fix: Narrow libX* wildcard to cover only lowercase chars (not
      digits, to not steal different libX11-6-dev quirk), and drop
      subsequent quirks covered by the wildcard.
      Closes: bug#581318, thanks to Lucas Nussbaum and Sebastian Andrzej
      Siewior.
    + Add libjpeg-dev unversioning quirk. See bug#629967.
    + Add a bunch of quirks:
      - libav*
      - libavahi-*
      - libcelt
      - libdbus
      - libffado
      - libgnutls
      - libijs
      - libjackserver
      - libjasper
      - libpaper
      - libraw1394
      - libstdc++6*
      - libuuid
  * Silence optional build-dependencies to ease backporting.
  * Implement options --include-la and --exclude-la, the former being
    default for now.
    Closes: bug#543461. Thanks to Andreas Tille and Alessio Treglia.
  * Extend copyright years.
  * Update copyright file:
    + Bump format to draft 174 of DEP-5.
    + Extend a copyright year.
    + Quote license names in License field comments, and rewrap at 72
      chars.
  * Update control file:
    + Bump policy compliance to standards-version 3.9.2.
    + Shorten Vcs-* URLs.
  * Fix drop tests.log from source.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 10 Jun 2011 03:25:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: d-shlibs
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jonas Smedegaard <dr@jones.dk>
-Build-Depends: cdbs, debhelper (>= 6)
+Maintainer: Jonas Smedegaard <dr@jones.dk>
+Build-Depends: cdbs,
+ debhelper (>= 6),
+ dh-buildinfo
 Vcs-Git: git://git.debian.org/git/collab-maint/d-shlibs
-Vcs-Browser: http://git.debian.org/?p=collab-maint/d-shlibs.git;a=summary
-Standards-Version: 3.8.4
+Vcs-Browser: http://git.debian.org/?p=collab-maint/d-shlibs.git
+Standards-Version: 3.9.2
 
 Package: d-shlibs
 Architecture: all

## d-shlibs 0.48

=== debian/changelog ===
d-shlibs (0.48) unstable; urgency=low

  * Add quirks:
    + liblcms2-dev
    + ld1-dev
      Closes: bug#645471. Thanks to Thorsten Glaser and Samuel Thibault.
    + libtinfo5-dev
      Closes: bug#646226. Thanks to Sven Joachim.
    + ld-linux2-dev
      Closes: bug#632805. Thanks to Nobuhiro Iwamatsu.
  * Update package relations:
    + Relax build-depend unversioned on debhelper (needed version
      satisfied even in oldstable).
  * Add --multiarch option.
    Closes: bug#637799. Thanks to Jon Severinsson.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 30 Nov 2011 23:35:37 +0700

## d-shlibs 0.49

=== debian/changelog ===
d-shlibs (0.49) unstable; urgency=low

  * Add quirk for libc6-dev.
    Closes: Bug#651627. Thanks to Torquil Macdonald Sørensen.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 11 Dec 2011 12:33:40 +0700

## d-shlibs 0.49ubuntu1

=== debian/changelog ===
d-shlibs (0.49ubuntu1) precise-proposed; urgency=low

  * Apply patch from Hector Oron to relax the ld-linux regex in the
    case where the linker's name contains extra info (LP: #994250)

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 03 May 2012 15:50:48 -0600

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Jonas Smedegaard <dr@jones.dk>
 Build-Depends: cdbs,
- debhelper (>= 6),
+ debhelper,
  dh-buildinfo
 Vcs-Git: git://git.debian.org/git/collab-maint/d-shlibs
 Vcs-Browser: http://git.debian.org/?p=collab-maint/d-shlibs.git

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2010 Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2010-2011 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for d-shlibs
 #
 # This program is free software; you can redistribute it and/or
@@ -20,6 +20,10 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/rules/utils.mk
 
+# Silence optional build-dependencies to ease backporting
+CDBS_BUILD_DEPENDS_rules_utils_copyright-check =
+CDBS_BUILD_DEPENDS_rules_utils_buildinfo =
+
 DEB_MAKE_CHECK_TARGET = check
 DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(cdbs_make_curdestdir)

## d-shlibs 0.50

=== debian/changelog ===
d-shlibs (0.50) unstable; urgency=low

  * Document in d-shlibmove(1) at which version the options --multiarch
    --include-la and --exclude-la was introduced.
  * Bump debhelper compat level to 7.
  * Enable copyright-checking and buildinfo inclusion.
    Tighten build-dependency on cdbs.
    Build-depend on devscripts and dh-buildinfo.
  * Update copyright file:
    + Fix use Comment section.
    + Fix File path syntax.
    + Extend copyright years for Debian packaging.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 22 Jan 2012 17:39:43 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: utils
 Priority: optional
 Maintainer: Jonas Smedegaard <dr@jones.dk>
-Build-Depends: cdbs,
- debhelper,
- dh-buildinfo
+Build-Depends: debhelper,
+ dh-buildinfo,
+ cdbs (>= 0.4.69~),
+ devscripts
 Vcs-Git: git://git.debian.org/git/collab-maint/d-shlibs
 Vcs-Browser: http://git.debian.org/?p=collab-maint/d-shlibs.git
 Standards-Version: 3.9.2

## d-shlibs 0.52

=== debian/changelog ===
d-shlibs (0.52) unstable; urgency=low

  [ Jonas Smedegaard ]
  * Update copyrigth file: Fix add Files: hint to first Files section.

  [ Hector Oron ]
  * Update dynamic linker override to also match armhf linker
    (/lib/ld-linux-armhf.so.3). (Closes: #670720)
  * Add myself to uploaders.

 -- Hector Oron <zumbi@debian.org>  Sun, 29 Apr 2012 13:16:49 +0200

d-shlibs (0.51) unstable; urgency=low

  * Fix always respect --exlude-la for --extralib (no matter order of
    arguments).
  * Implement options --include-a and --exclude-a, the former being
    default. Thanks to Jérémy Lal.
  * Add quirks for libicu-dev and libv8-dev.
  * Bump standards-version to 3.9.3.
  * Use anonscm.debian.org URL in Vcs-Browser field.
  * Update copyright file:
    + Bump format to 1.0.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 31 Mar 2012 19:47:54 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Section: utils
 Priority: optional
 Maintainer: Jonas Smedegaard <dr@jones.dk>
+Uploaders: Hector Oron <zumbi@debian.org>
 Build-Depends: debhelper,
  dh-buildinfo,
  cdbs (>= 0.4.69~),
  devscripts
 Vcs-Git: git://git.debian.org/git/collab-maint/d-shlibs
-Vcs-Browser: http://git.debian.org/?p=collab-maint/d-shlibs.git
-Standards-Version: 3.9.2
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/d-shlibs.git
+Standards-Version: 3.9.3
 
 Package: d-shlibs
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2010-2011 Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2010-2012 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for d-shlibs
 #
 # This program is free software; you can redistribute it and/or
@@ -20,10 +20,6 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/rules/utils.mk
 
-# Silence optional build-dependencies to ease backporting
-CDBS_BUILD_DEPENDS_rules_utils_copyright-check =
-CDBS_BUILD_DEPENDS_rules_utils_buildinfo =
-
 DEB_MAKE_CHECK_TARGET = check
 DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(cdbs_make_curdestdir)

## d-shlibs 0.53

=== debian/changelog ===
d-shlibs (0.53) unstable; urgency=low

  [ Vasudev Kamath ]
  * Add quirk for liblzma5-dev
  * Add myself to uploaders.
  * If soname or library name contains "_" replace it with "-" in
    d-shlibmove, "_" is not a valid character in package name as per
    Debian policy.
    Closes: bug#712818.

  [ Jonas Smedegaard ]
  * Update package relations:
    + Relax to build-depend unversioned on cdbs: Needed version
      satisfied in stable, and oldstable no longer supported.
  * Update copyright file:
    + Fix use pseudo-comment section to obey silly restrictions of
      copyright format 1.0.
    + Merge Files sections: We are upstream so no sense dividing.
  * Drop README.Debian: Contained only obsolete info.
  * Add README.source emphasizing control.in file as *not* a
    show-stopper for contributions, referring to wiki page for details.
  * Bump packaging license to GPL-3+, and extend copyrigt coverage for
    myself to include current year.
  * Bump standards-version to 3.9.4.
  * Rewrap long description at 72 chars, and strip trailing whitespace.
  * Bump debhelper compatibility to 8.
  * Fix adjust double copyright paragraph in copyright file.
  * List issue tracker as preferred contact.
  * Add git URL as alternate source.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 18 Jul 2013 18:14:26 +0200

=== debian/control ===
Source: d-shlibs
Section: utils
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Uploaders: Hector Oron <zumbi@debian.org>,
 Vasudev Kamath <kamathvasudev@gmail.com>
Build-Depends: cdbs,
 debhelper,
 dh-buildinfo,
 devscripts
Vcs-Git: git://git.debian.org/git/collab-maint/d-shlibs
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/d-shlibs.git
Standards-Version: 3.9.4

Package: d-shlibs
Architecture: all
Depends: ${misc:Depends}, binutils
Description: Debian shared library package building helper scripts
 Shared library packages in Debian need some special catering to do with
 regards to which files go where. This package contains programs which
 try to help automate the process and catch simple errors
 .
 "d-shlibmove" moves the shared library binary around from temporary
 installation directory to the  destination package directory.
 .
 "d-devlibdeps" tries to list the development library dependencies
 required for using the -dev package.

## d-shlibs 0.54

=== debian/changelog ===
d-shlibs (0.54) unstable; urgency=low

  [ Andreas Tille ]
  * Fix avoid infinite loop in d-devlibdeps, handling unknown options.
    Closes: bug#718994.
  * Add quirks for libbz2-1.0-dev and libcurl-gnutls4-dev.

  [ Vasudev Kamath ]
  * Generalize quirk for libc, to cover more archs and platforms.
    Thanks to Aaron M. Ucko.
  * Depend on apt: It is of priority important (not core).
    Thanks to Aaron M. Ucko.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 10 Sep 2013 18:02:48 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Jonas Smedegaard <dr@jones.dk>
-Uploaders: Hector Oron <zumbi@debian.org>,
+Uploaders: Andreas Tille <tille@debian.org>,
+ Hector Oron <zumbi@debian.org>,
  Vasudev Kamath <kamathvasudev@gmail.com>
 Build-Depends: cdbs,
  debhelper,
@@ -14,7 +15,7 @@
 
 Package: d-shlibs
 Architecture: all
-Depends: ${misc:Depends}, binutils
+Depends: ${misc:Depends}, binutils, apt
 Description: Debian shared library package building helper scripts
  Shared library packages in Debian need some special catering to do with
  regards to which files go where. This package contains programs which

## d-shlibs 0.54ubuntu1

=== Makefile ===
--- 
+++ 
@@ -11,8 +11,8 @@
 test-build:
 	mkdir TESTS
 	( cd TESTS; \
-	for PKG in dancer-xml dlisp libdshconfig ; do \
-	( mkdir $$PKG ; cd $$PKG ; apt-get source $$PKG; cd */ ; debuild -us -uc ; debc; ) ; \
+	for PKG in dancer-xml dlisp libdshconfig libgtkdatabox ; do \
+	( mkdir $$PKG ; cd $$PKG ; apt-get source $$PKG; cd */ ; /usr/bin/debuild -us -uc ; debc; ) ; \
 	done ) 2>&1 | tee tests.log
 
 install: check

=== debian/changelog ===
d-shlibs (0.54ubuntu1) trusty; urgency=medium

  * Add quirk for ld-linux-aarch64-1-dev.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 18 Mar 2014 15:14:54 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: d-shlibs
 Section: utils
 Priority: optional
-Maintainer: Jonas Smedegaard <dr@jones.dk>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jonas Smedegaard <dr@jones.dk>
 Uploaders: Andreas Tille <tille@debian.org>,
  Hector Oron <zumbi@debian.org>,
  Vasudev Kamath <kamathvasudev@gmail.com>

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,11 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2010-2012 Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2010, 2011, 2012, 2013 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for d-shlibs
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License as
-# published by the Free Software Foundation; either version 2, or (at
+# published by the Free Software Foundation; either version 3, or (at
 # your option) any later version.
 #
 # This program is distributed in the hope that it will be useful, but

## d-shlibs 0.58

=== debian/changelog ===
d-shlibs (0.58) unstable; urgency=medium

  * Add quirk for Trio.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 01 Aug 2014 13:03:56 +0200

d-shlibs (0.57) unstable; urgency=medium

  * Add quirks for Boost and LevelDB.
  * Add quirk for GnuTLS 2.8.
    Closes: bug#753161. Thanks to Andreas Metzler.
  * Add quirk for ld-linux-aarch64-1-dev.
    Closes: bug#742045. Thanks to Colin Watson.
  * Tidy whitespace. Closes: bug#670721.
    Thanks to Héctor Orón.
  * Add quirk for libQtCore4-dev.
    Closes: bug#675500. Thanks to Andreas Tille.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 13 Jul 2014 20:02:28 +0200

d-shlibs (0.56) unstable; urgency=medium

  [ Andreas Tille ]
  * Fix avoid bogusly move same file twice.
  * Add quirks for libpopt-dev, libprotobuf-dev and libgomp1-dev.
    Closes: bug#734601.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 14 Jun 2014 15:45:36 +0200

d-shlibs (0.55) unstable; urgency=medium

  * Extend GD quirk to cover libgd3.
    Thanks to Colin watson, see bug#709040.
  * Bump Standards-Version to 3.9.5: Packaging is compliant with
    corresponding version of Debian Policy.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 14 Jun 2014 15:37:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: d-shlibs
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jonas Smedegaard <dr@jones.dk>
+Maintainer: Jonas Smedegaard <dr@jones.dk>
 Uploaders: Andreas Tille <tille@debian.org>,
  Hector Oron <zumbi@debian.org>,
  Vasudev Kamath <kamathvasudev@gmail.com>
@@ -12,7 +11,7 @@
  devscripts
 Vcs-Git: git://git.debian.org/git/collab-maint/d-shlibs
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/d-shlibs.git
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 
 Package: d-shlibs
 Architecture: all

## d-shlibs 0.62ubuntu1

=== debian/changelog ===
d-shlibs (0.62ubuntu1) wily; urgency=medium

  * Resynchronise on Debian, remaining change
    - Disable shellcheck, it's in universe.

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 10 Aug 2015 14:10:43 +0100

d-shlibs (0.62) unstable; urgency=medium

  * Fix use array variables to collect multiple values.
    Closes: Bug#794684. Thanks to Iain Lane.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 05 Aug 2015 20:41:43 +0200

d-shlibs (0.61) unstable; urgency=medium

  * Add --v5 option for transitional suffix.
    Closes: bug#794561. Thanks to Matthias Klose.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 05 Aug 2015 15:55:09 +0200

d-shlibs (0.60) unstable; urgency=medium

  * Tighten code: Now passes shellcheck.
  * Use host-specific objdump, and mark package as Multi-Arch: foreign.
    Thanks to Helmut Grohne.
  * Bump debhelper compatibility level to 9.
  * Build-depend on ${misc:Pre-Depends}.
  * Fix lintian overrides.
  * Override lintian regarding build-depending unversioned on debhelper.
  * Run shellcheck as regression test.  Build-depend on shellcheck.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 03 Aug 2015 01:29:58 +0200

d-shlibs (0.59) unstable; urgency=medium

  * Add quirks for Cairo, Gconf2, GDK3/GTK3 and RSVG.
  * Declare compliance with Debian Policy 3.9.6.
  * Update Vcs-* fields to use canonical URLs and cgit web frontend.
  * Update copyright info:
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
    + Extend coverage for myself.
  * Add lintian overrides regarding license in License-Reference field.
    See bug#786450.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 13 Jun 2015 16:30:43 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: d-shlibs
 Section: utils
 Priority: optional
-Maintainer: Jonas Smedegaard <dr@jones.dk>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jonas Smedegaard <dr@jones.dk>
 Uploaders: Andreas Tille <tille@debian.org>,
  Hector Oron <zumbi@debian.org>,
  Vasudev Kamath <kamathvasudev@gmail.com>
@@ -9,13 +10,15 @@
  debhelper,
  dh-buildinfo,
  devscripts
-Vcs-Git: git://git.debian.org/git/collab-maint/d-shlibs
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/d-shlibs.git
-Standards-Version: 3.9.5
+Vcs-Git: git://anonscm.debian.org/collab-maint/d-shlibs
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/d-shlibs.git
+Standards-Version: 3.9.6
 
 Package: d-shlibs
 Architecture: all
 Depends: ${misc:Depends}, binutils, apt
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: foreign
 Description: Debian shared library package building helper scripts
  Shared library packages in Debian need some special catering to do with
  regards to which files go where. This package contains programs which

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2010-2015 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for d-shlibs
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk

# Build-depend unversioned on debhelper
#  TODO: Drop when adopted in cdbs
CDBS_BUILD_DEPENDS_rules_debhelper_v9 = debhelper

# universe only
#CDBS_BUILD_DEPENDS +=, shellcheck

DEB_MAKE_CHECK_TARGET = check
DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(cdbs_make_curdestdir)

DEB_INSTALL_MANPAGES_d-shlibs = d-shlibmove.1 d-devlibdeps.1

## d-shlibs 0.66ubuntu1

=== Makefile ===
--- 
+++ 
@@ -7,6 +7,8 @@
 check:
 	bash -n d-shlibmove
 	bash -n d-devlibdeps
+	[ ! -x /usr/bin/shellcheck ] || shellcheck d-shlibmove
+	[ ! -x /usr/bin/shellcheck ] || shellcheck d-devlibdeps
 
 test-build:
 	mkdir TESTS

=== debian/changelog ===
d-shlibs (0.66ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - Disable shellcheck, it's in universe.
  * d-devlibdeps: Fix gnutls quirk to resolve to libgnutls.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 19 Feb 2016 08:18:35 +0100

d-shlibs (0.66) unstable; urgency=medium

  * Revert bogus gnutls2 support (tricked by broken local regex).

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 18 Feb 2016 17:43:48 +0100

d-shlibs (0.65) unstable; urgency=medium

  * Extend quirk for GnuTLS to cover gnutls2.
  * Modernize Vcs-* fields: Use https protocol.
  * Update copyright info:
    + Extend copyright of packaging to cover current year.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 18 Feb 2016 17:29:30 +0100

d-shlibs (0.64) unstable; urgency=medium

  * Fix quirk for GnuTLS.
    Closes: bug#812508. Thanks to Andreas Metzler and Peter Green.
  * Declare compliance with Debian Policy 3.9.7.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 05 Feb 2016 12:53:58 +0100

d-shlibs (0.63) unstable; urgency=medium

  * Extend quirk for GnuTLS.
    Closes: bug#812508. Thanks to Andreas Metzler.
  * Add quirk for libatomic1.
    Closes: bug#808585. Thanks to Frederic Bonnard.
  * Add quirk for libpng16.
    Closes: bug#810095. Thanks to Tobias Frost.
  * Fix sort locale-independently.
    Closes: bug#796330. Thanks to Reiner Herrmann.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 25 Jan 2016 00:45:22 +0530

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
 Build-Depends: cdbs,
  debhelper,
  dh-buildinfo,
- devscripts
-Vcs-Git: git://anonscm.debian.org/collab-maint/d-shlibs
+ devscripts,
+Vcs-Git: https://anonscm.debian.org/collab-maint/d-shlibs
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/d-shlibs.git
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 
 Package: d-shlibs
 Architecture: all

=== debian/pbuilder-test/01_ncurses.d/debian/control ===
Source: ncurses
Section: libs
Priority: standard
Build-Depends: debhelper (>= 5), g++-multilib [amd64 i386 kfreebsd-amd64 powerpc ppc64 s390 sparc], libgpmg1-dev (>= 1.19.6-20) [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64], quilt (>= 0.40-1)
Maintainer: Daniel Baumann <daniel@debian.org>
Standards-Version: 3.7.2

Package: libncurses5
Architecture: any
Section: libs
Priority: required
Depends: ${shlibs:Depends}
Recommends: libgpmg1
Description: Shared libraries for terminal handling
 This package contains the shared libraries necessary to run programs
 compiled with ncurses.

Package: libncurses5-dev
Architecture: any
Section: libdevel
Priority: optional
Depends: libncurses5 (= ${Source-Version}), libc-dev
Conflicts: ncurses-dev, ncurses-developer, libncurses-dev
Replaces: ncurses-dev, ncurses-developer, libncurses-dev
Provides: libncurses-dev, ncurses-dev
Description: Developer's libraries and docs for ncurses
 This package contains the header files, static libraries
 and symbolic links that developers using ncurses will need.
 It also includes the libraries' man pages and other documentation.

Package: libncurses5-dbg
Architecture: any
Section: libdevel
Priority: extra
Depends: libncurses5-dev (= ${Source-Version})
Description: Debugging/profiling libraries for ncurses
 This package contains the debugging libraries for ncurses.

Package: libncursesw5
Architecture: any
Section: libs
Priority: important
Depends: ${shlibs:Depends}
Recommends: libgpmg1
Description: Shared libraries for terminal handling (wide character support)
 This package contains the shared libraries necessary to run programs
 compiled with ncursesw, which includes support for wide characters.

Package: libncursesw5-dev
Architecture: any
Section: libdevel
Priority: optional
Depends: libncursesw5 (= ${Source-Version}), libc-dev
Suggests: libncurses5-dev
Description: Developer's libraries for ncursesw
 This package contains the header files, static libraries
 and symbolic links that developers using ncursesw will need.
 .
 This package includes support for wide characters.

Package: libncursesw5-dbg
Architecture: any
Section: libdevel
Priority: extra
Depends: libncursesw5-dev (= ${Source-Version})
Description: Debugging/profiling libraries for ncurses
 This package contains the debugging libraries for ncursesw.
 .
 This package includes support for wide characters.

Package: lib64ncurses5
Architecture: i386 powerpc sparc s390
Section: libs
Priority: optional
Depends: ${shlibs:Depends}
Recommends: libgpmg1
Replaces: amd64-libs (<= 1.2)
Description: Shared libraries for terminal handling (64-bit)
 This package contains the shared libraries necessary to run programs
 compiled with ncurses.
 .
 This package supports the 64-bit ABI variant of your system's
 architecure.

Package: lib64ncurses5-dev
Architecture: i386 powerpc sparc s390
Section: libdevel
Priority: optional
Depends: lib64ncurses5 (= ${Source-Version}), libncurses5-dev, lib64c-dev
Replaces: amd64-libs-dev (<= 1.2)
Description: Developer's libraries for ncurses (64-bit)
 This package contains the header files, static libraries
 and symbolic links that developers using ncurses will need.
 .
 This package supports the 64-bit ABI variant of your system's
 architecure.

Package: lib32ncurses5
Architecture: amd64 ppc64
Section: libs
Priority: optional
Depends: ${shlibs:Depends}
Replaces: ia32-libs
Description: Shared libraries for terminal handling (32-bit)
 This package contains the shared libraries necessary to run programs
 compiled with ncurses.
 .
 This package supports the 64-bit ABI variant of your system's
 architecure.

Package: lib32ncurses5-dev
Architecture: amd64 ppc64
Section: libdevel
Priority: optional
Depends: lib32ncurses5 (= ${Source-Version}), libncurses5-dev, lib32c-dev
Description: Developer's libraries for ncurses (32-bit)
 This package contains the header files, static libraries
 and symbolic links that developers using ncurses will need.
 .
 This package supports the 32-bit ABI variant of your system's
 architecure.

Package: ncurses-bin
Architecture: any
Section: utils
Priority: required
Essential: yes
Pre-Depends: ${shlibs:Depends}
Conflicts: ncurses, tput
Provides: tput
Description: Terminal-related programs and man pages
 This package contains the programs used for manipulating the terminfo
 database and individual terminfo entries, as well as some programs for
 resetting terminals and such.

Package: ncurses-base
Architecture: all
Section: utils
Priority: required
Essential: yes
Conflicts: ncurses, ncurses-runtime
Provides: ncurses-runtime
Replaces: ncurses-term
Depends: libncurses5 (>= 5.4-5)
Description: Descriptions of common terminal types
 This package contains what should be a reasonable subset of terminal
 definitions, including: ansi, dumb, linux, rxvt, screen, sun, vt100,
 vt102, vt220, vt52, and xterm.

Package: ncurses-term
Architecture: all
Section: admin
Priority: standard
Description: Additional terminal type definitions
 This package contains all of the terminal definitions not found in
 the ncurses-base package.  There are far too many to list here.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2010-2015 Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2010-2016 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for d-shlibs
 #
 # This program is free software; you can redistribute it and/or modify
